package session

import (
	"github.com/google/uuid"
	"net/http"
	"streifling.com/jason/sicherheitsunterweisung/packages/data"
)

type Mux struct {
	*http.ServeMux
}

type Session struct {
	ID uuid.UUID
	*data.Briefing
	Participants []*data.Participant
	Questions    []data.Question
}

type SessionParticipant struct {
	*data.Participant
	GivenAnswers []int
}
